%define name		pfaedit
%define pfaversion	030211
%define docversion	030211
%define release		1mdk

Name:          %{name}
Version:       %{pfaversion}
Release:       %{release}
Epoch:	       20%{pfaversion}
Summary:       Font Editor for PostScript fonts
License:       GPL
Group:         Publishing
Source0:       http://pfaedit.sourceforge.net/pfaedit_full-%{pfaversion}.tar.bz2
Source1:       pfaedit-icons.tar.bz2
Source2:       http://pfaedit.sourceforge.net/pfaedit_htdocs-%{docversion}.tar.bz2
Source3:       http://pfaedit.sourceforge.net/cidmaps.tar.bz2
Patch0:	       pfaedit-mozilla.patch.bz2
Patch1:        pfaedit-metafont-ibx.patch.bz2
URL:           http://pfaedit.sourceforge.net/
Requires:      autotrace
Requires:      tetex-mfwin
BuildRequires: freetype2
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PfaEdit allows you to edit outline and bitmap fonts.  You can create
new ones or modify old ones.  It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, and OpenType (Type2).

%prep
%setup -T -b 0 -n pfaedit
perl -pi -e 's/\r//g' pfaedit/uiutil.c
%patch0 -p1
%patch1 -p1
perl -pi -e \
's@strcpy\(fullspec,"/usr/share/doc/pfaedit/"\);@strcpy\(fullspec,"%_docdir/%{name}-%{version}/htdocs/"\);@g' pfaedit/uiutil.c

%build
CFLAGS="$RPM_OPT_FLAGS -fno-fast-math -fno-omit-frame-pointer" \
CXXFLAGS="$RPM_OPT_FLAGS -fno-fast-math -fno-omit-frame-pointer" \
%configure --disable-shared
make
mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xjf %{SOURCE3} -C cidmap

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir} \
        $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/pfaedit <<EOF
?package(pfaedit): command="pfaedit" needs="X11" \
icon="pfaedit.png" section="Applications/Publishing" title="PfaEdit" \
longtitle="A font editor"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README COPYING htdocs
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/pfaedit
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/pfaedit/*

%changelog
* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 030211-1mdk
- Updated to release 030211.

* Thu Feb 06 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 030201-2mdk
- Added tetex-mfwin to Requires.

* Wed Feb 05 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 030201-1mdk
- Updated to release 030201.

* Wed Jan 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 030120-1mdk
- Updated to release 030120.

* Thu Nov 23 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 021120-1mdk
- Updated to release 021120.

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020910-2mdk
- Added autotrace in Requires.
- Use ibx as default mode for more precise autotrace.

* Wed Sep 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020910-1mdk
- updated to release 020910.
- documentation updated to release 020910.

* Mon Sep 02 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020901-1mdk
- updated to release 020901.

* Wed Aug 28 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020827-1mdk
- updated to release 020827.
- documentation updated to release 020818.

* Mon Jul 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020728-1mdk
- updated to release 020728.

* Sat Jul 27 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020726-1mdk
- updated to release 020726.

* Wed Jul 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020724-1mdk
- updated to release 020724.

* Wed Jul 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020723-3mdk
- added Patch2 allowing ForceUnicodeNameAndValue in scripting.

* Wed Jul 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020723-2mdk
- added Patch1 for fontinfo (fix bug when fontname and familyname are
  the same).

* Wed Jul 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020723-1mdk
- updated to release 020723.
- removed Patch1.

* Tue Jul 23 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020721-2mdk
- updated to release 020721 with some pactces backported from 020722.
 
* Mon Jul 22 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020721-1mdk
- updated to release 020721.
- added cidmaps.

* Fri Jul 19 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020715-1mdk
- updated to release 020715.
- mozilla as default browser.
- search help in %%_docdir.

* Thu Jul 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020626-1mdk
- updated to release 020626.

* Fri Apr 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020409-1mdk
- updated to release 020409.

* Thu Mar 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020312-2mdk
- added missed %%{_bindir}/sfddiff in %%files list.

* Thu Mar 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020312-1mdk
- updated to release 020312.

* Thu Feb 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020225-1mdk
- updated to release 020225.

* Sat Feb 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020214-1mdk
- updated to release 020214.
- added htdocs.

* Sat Jan 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020125-1mdk
- updated to release 020125.
- xpm -> png icons.

* Fri Jan 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 020109-1mdk
- updated to release 020109.

* Sat Dec 29 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 011219-1mdk
- updated to release 011219.

* Tue Nov 27 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 011126-1mdk
- updated to release 011126.

* Mon Oct 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 011021-1mdk
- updated to release 011021.

* Wed Oct 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 011011-1mdk
- updated to release 011011.

* Wed Sep 26 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010924-1mdk
- updated to release 010924.

* Sun Sep 23 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010922-1mdk
- updated to release 010922.

* Sat Sep 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010919-1mdk
- updated to release 010919.

* Mon Sep 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010915-1mdk
- updated to release 010915.

* Fri Sep 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010913-1mdk
- updated to release 010913.
- added icons.

* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010905-1mdk
- updated to release 010905.

* Wed Aug 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010808-2mdk
- temporary disabled -fomit-frame-pointer in CFLAGS/CXXFLAGS options
  causing broken executables).

* Fri Aug 10 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010808-1mdk
- updated to release 010808.

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010726-1mdk
- updated to release 010726.

* Sat Jul 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010717-1mdk
- updated to release 010717.

* Fri Jul 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010711-1mdk
- updated to release 010711.

* Tue Jul 02 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010630-1mdk
- updated to release 010630.

* Sun Jun 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010623-1mdk
- updated to release 010623.

* Fri Jun 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010621-2mdk
- cleaned spec file.
- fixed changelog date.
- initial mandrake release.

* Thu May 10 2001 George Williams <gww@silcom.com>
- My first attempt at rpm, updated to 10 May sources.

* Sun Apr 29 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 220401 to 280401.

* Tue Apr 24 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 190401 to 220401.

* Fri Apr 20 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 020401 to 190401.

* Tue Apr 10 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 210301 to 020401.

* Thu Mar 22 2001 Scott Pakin <pakin@uiuc.edu>
- Initial release.
